package cn.com.origin.autocode.newitem.generatcode;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;

import javax.swing.JComponent;

import com.teamcenter.rac.kernel.ics.ICSPropertyDescription;

public class PackClassificationInfos {

	private String icsID = "";

	private HashMap<String, JComponent> propertyMaps;

	private HashMap<String, ICSPropertyDescription> iCSPropertyDescription;

	private List icsPropList = new ArrayList();

	public String getIcsID() {
		return icsID;
	}

	public void setIcsID(String icsID) {
		this.icsID = icsID;
	}

	public HashMap<String, JComponent> getPropertyMaps() {
		return propertyMaps;
	}

	public void setPropertyMaps(HashMap<String, JComponent> propertyMaps) {
		this.propertyMaps = propertyMaps;
	}

	public HashMap<String, ICSPropertyDescription> getICSPropertyDescription() {
		return iCSPropertyDescription;
	}

	public void setICSPropertyDescription(HashMap<String, ICSPropertyDescription> propertyDescription) {
		iCSPropertyDescription = propertyDescription;
	}

	public List getIcsPropList() {
		return icsPropList;
	}

	public void setIcsPropList(List icsPropList) {
		this.icsPropList = icsPropList;
	}


}
